classification
Title: webbrowser to support "gio open "
Type: enhancement Stage: patch review
Components: Library (Lib) Versions: Python 3.11
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, doko, miss-islington, pablogsal, smcv
Priority: release blocker Keywords: 3.11regression

Created on 2021-02-05 12:26 by doko, last changed 2021-11-26 17:12 by pablogsal.

Pull Requests
URL Status Linked Edit
PR 29154 merged smcv, 2021-10-22 10:49
Messages (4)
msg386526 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2021-02-05 12:26
[forwarded from https://bugs.debian.org/969776]

"""
rust-webbrowser tries to open URLs via "gvfs-open $URL" and
"gnome-open $URL". Both are obsolete; the replacement is "gio open $URL",
using the gio(1) tool from the libglib2.0-bin package.

The gvfs-open tool was superseded by gio(1) in 2015, and removed from
upstream GNOME in 2018. The version in Debian is currently a
Debian-specific patch, which we would like to remove before Debian 11.

The gnome-open tool was superseded by gvfs-open in 2008, ceased to be
part of GNOME releases after about 2011, most recently appeared in a
Debian stable release as part of Debian 9, and was finally removed from
Debian in 2019.
"""

The current list of browser could need some cleanup, e.g.:

 - remove "The Netscape and old Mozilla browsers"
 - remove grail?
 - remove gvfs-open
 - gnome-open?
 - can't find galeon anymore, but epiphany
msg407019 - (view) Author: miss-islington (miss-islington) Date: 2021-11-25 20:49
New changeset 97dcab783279444ff721a301e1faca6f29fdc600 by Simon McVittie in branch 'main':
bpo-43137: webbrowser: Replace gvfs-open and gnome-open with "gio open" (GH-29154)
https://github.com/python/cpython/commit/97dcab783279444ff721a301e1faca6f29fdc600
msg407056 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-11-26 15:17
gio is not available on older distros. For example I could not find it in Xenial with libglib2.0-bin 2.48.2-0ubuntu4.8. I suggest that you keep the fallbacks or seek agreement that we no longer support old distros without gio.
msg407074 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-11-26 17:12
The next 3.10 and 3.11 releases are very soon so unfortunately if this is not fixed by then I will need to revert PR29154
History
Date User Action Args
2021-11-26 17:12:31pablogsalsetmessages: + msg407074
2021-11-26 15:17:48christian.heimessetpriority: normal -> release blocker

type: enhancement
versions: + Python 3.11, - Python 3.10
keywords: + 3.11regression, - patch
nosy: + pablogsal, christian.heimes

messages: + msg407056
2021-11-25 20:49:56miss-islingtonsetnosy: + miss-islington
messages: + msg407019
2021-10-22 10:49:16smcvsetkeywords: + patch
nosy: + smcv

pull_requests: + pull_request27431
stage: patch review
2021-02-05 12:26:34dokocreate